%define kdeprefix /usr
%define qtver  qt >= 1.42
%define kdename switchdesk

Name: %{kdename}
Summary: Desktop Switcher - switch between GNOME, KDE and AnotherLevel.
Version: 2.1
Release: 2mdk
Source0: %{kdename}-%{version}.tar.bz2
Source1: switchdesk.menu.bz2
Source2: switchdesk-kde.menu.bz2
Source3: switchdesk-gnome.menu.bz2
Copyright: GPL
Group: Graphical desktop/Other
Buildroot: /var/tmp/%{kdename}-buildroot
Requires: textutils
Prefix: %{kdeprefix}

%description
The Desktop Switcher is a tool which enables users to easily switch between
various desktop environments that they have installed.  The tool includes
support for GNOME, KDE, and AnotherLevel.  Support for different environments
on different computers is available, as well as setting a "global default."

%package kde
Group: Graphical desktop/KDE
Summary: KDE interface to the Desktop Switcher.
Requires: %{qtver} kdesupport

%description kde
Provides the desktop switching Tool with a KDE look and feel.

%package gnome
Group: Graphical desktop/GNOME
Summary: GNOME interface to the Desktop Switcher.

%description gnome
Provides the desktop switching tool with a GNOME look and feel.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{kdename}-%{version}

%build
export KDEDIR=%{kdeprefix}
#make -f Makefile.cvs
libtoolize --force
%configure \
	--with-install-root=$RPM_BUILD_ROOT \
	--disable-path-check
make CXXFLAGS="$RPM_OPT_FLAGS" KDEDIR=%{kdeprefix}

%install
export KDEDIR=%{kdeprefix}
make install-strip prefix=$RPM_BUILD_ROOT%{kdeprefix}

#install menu
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
bzcat %{SOURCE1} > $RPM_BUILD_ROOT/usr/lib/menu/switchdesk
bzcat %{SOURCE2} > $RPM_BUILD_ROOT/usr/lib/menu/switchdesk-kde
bzcat %{SOURCE3} > $RPM_BUILD_ROOT/usr/lib/menu/switchdesk-gnome

%post
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi

%postun
## menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
    /usr/bin/update-menus
  fi
fi


%post kde
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi

%postun kde
## menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
    /usr/bin/update-menus
  fi
fi

%post gnome
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi

%postun gnome
## menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
    /usr/bin/update-menus
  fi
fi


%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
/usr/bin/switchdesk
/usr/bin/switchdesk-helper
/usr/share/apps/switchdesk
/usr/man/man1/switchdesk.1*
/usr/lib/menu/switchdesk

%files kde
%defattr(-,root,root)
/usr/bin/switchdesk-kde
/usr/lib/menu/switchdesk-kde


%files gnome
%defattr(-,root,root)
/usr/bin/switchdesk-gnome
/usr/lib/menu/switchdesk-gnome

%changelog
* Fri Apr  7 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1-2mdk
- Add %post and %postun for -kde -gnome.

* Thu Apr  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1-1mdk
- 2.1.

* Fri Mar 31 2000 DindinX <odin@mandrakesoft.com> 1.7.1-15mdk
- Fix Groups
- Add menu
- Spec cleanups

* Wed Jan 12 2000 Pixel <pixel@mandrakesoft.com>
- libtoolize --force

* Sat Nov 06 1999 John Buswell <johnb@mandrakesoft.com>
- 1.7.1
- Build Release

* Mon Jul 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Build release.

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- added back in switchdesk.kdelnk file (kde still doesn't handle
  .desktop files)

* Tue Apr 13 1999 Preston Brown <pbrown@redhat.com>
- fix up X display string handling

* Wed Mar 24 1999 Preston Brown <pbrown@redhat.com>
- Xclients scripts installed with execute permission.

* Wed Mar 17 1999 Preston Brown <pbrown@redhat.com>
- hardcode path to pidof (/sbin) because it isn't in default path.

* Tue Mar 16 1999 Preston Brown <pbrown@redhat.com>
- converted kdelnk file to desktop file, moved location, removed KDEDIR

* Mon Mar 08 1999 Preston Brown <pbrown@redhat.com>
- broke out separate kde, gnome packages.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- new group.

* Wed Feb 03 1999 Preston Brown <pbrown@redhat.com>
- initial revision of spec file.







